Name: sharutils
Version: 4.2.1
Release: ipl11mdk

Summary: The GNU shar utilities for packaging and unpackaging shell archives
License: GPL
Group: Archiving/Backup

Source: ftp://prep.ai.mit.edu/pub/gnu/%name-%version.tar.bz2
Patch1: %name-4.2-rh-gmo.patch
Patch2: %name-4.2-rh-man.patch
Patch3: %name-4.2-rh-po.patch
Patch4: %name-4.2-rh-share.patch
Patch5: %name-4.2-rh-uudecode.patch
Patch6: %name-4.2.1-rh-uudecode.patch
Patch7: %name-4.2-alt-texinfo.patch
Patch8: %name-4.2.1-alt-tmp.patch
Patch9: %name-4.2.1-mdk-remsync-typo.patch

BuildPreReq: autoconf = 2.13, automake = 1.4

Requires(post): %install_info
Requires(preun): %uninstall_info

%description
The %name package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar).  This
format can be sent through email (which can be problematic for
regular binary files).  The shar utility supports a wide range of
capabilities (compressing, uuencoding, splitting long files for
multi-part mailings, providing checksums), which make it very flexible
at creating shar files.  After the files have been sent, the unshar
tool scans mail messages looking for shar files.  Unshar automatically
strips off mail headers and introductory text and then unpacks the shar
files.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%set_autoconf_version 2.13
%set_automake_version 1.4
export ac_cv_lib_intl_main=no
export ac_cv_path_MAILER=/bin/mail
autoconf
%configure
%make_build

%install
%makeinstall install-man

# fix japanese catalog file
if [ -d $RPM_BUILD_ROOT%_datadir/locale/ja_JP.EUC/LC_MESSAGES ]; then
	mkdir -p $RPM_BUILD_ROOT%_datadir/locale/ja/LC_MESSAGES
	mv $RPM_BUILD_ROOT%_datadir/locale/ja_JP.EUC/LC_MESSAGES/*mo \
		$RPM_BUILD_ROOT%_datadir/locale/ja/LC_MESSAGES
	rm -rf $RPM_BUILD_ROOT%_datadir/locale/ja_JP.EUC
fi

%find_lang %name

%post
%install_info {%name,remsync}.info

%preun
%uninstall_info {%name,remsync}.info

%files -f %name.lang
%_bindir/*
%_infodir/*.info*
%_mandir/man?/*

%changelog
* Mon Oct 06 2003 Dmitry V. Levin <ldv@altlinux.org> 4.2.1-ipl11mdk
- Updated package dependencies.
- Updated package build dependencies.

* Mon Nov 18 2002 Rider <rider@altlinux.ru> 4.2.1-ipl10mdk
- rebuild

* Tue May 14 2002 Dmitry V. Levin <ldv@altlinux.org> 4.2.1-ipl9mdk
- Really update to version 4.2.1
- Merged in RH and MDK patches (the code still have problems).
- Built without libintl (never used).

* Mon Apr 15 2002 Rider <rider@altlinux.ru> 4.2.1-ipl8mdk
- rebuild

* Thu Dec 14 2000 Dmitry V. Levin <ldv@fandra.org> 4.2.1-ipl7mdk
- Fixed texinfo documentation.

* Thu Aug  3 2000 Dmitry V. Levin <ldv@fandra.org> 4.2.1-ipl6mdk
- RE adaptions.

* Fri Jul 28 2000 Francis Galiegue <fg@mandrakesoft.com> 4.2.1-6mdk
- More macros

* Fri Jul 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.2.1-5mdk
- use %%make for SMP build.
- corrected %%install_info and %%uninstall_info calls to expand correctly.

* Wed Jul 19 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.2.1-4mdk
- bugfix for uudecode and filenames with spaces on them
- BM

* Sun Jun 04 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.2.1-3mdk
- fixed the mess with the catalog files.

* Sat Mar 18 2000 Francis Galiegue <francis@mandrakesoft.com> 4.2.1-2mdk
- Let spec helper do its job
- Some spec file changes

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
_ SMP check/build
- 4.2.1

* Wed Aug 25 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Remove gzip -9nf stuff, so they info's aren't .gz.bz2
- add %%defattr, (builds as none root)

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 info

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 12)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- ALRIGHT!  Woo-hoo!  Erik already did the install-info stuff!
- added BuildRoot
- spec file cleanups

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

